Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.conf
Class ProductDerivations

    java.lang.Object
      org.apache.openjpa.lib.conf.ProductDerivations

    public class ProductDerivations

extends Object

Utilities for running product derivations.

Author:
  Abe White

Constructor Summary
`ProductDerivations()`

Method Summary
`static void` | `afterSpecificationSet(Configuration conf)` Apply `ProductDerivation.afterSpecificationSet(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance.
`static void` | `beforeConfigurationConstruct(ConfigurationProvider cp)` Apply `ProductDerivation.beforeConfigurationConstruct(org.apache.openjpa.lib.conf.ConfigurationProvider)` callbacks to the the given instance.
`static void` | `beforeConfigurationLoad(Configuration conf)` Apply `ProductDerivation.beforeConfigurationLoad(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance.
`static String[]` | `getConfigurationPrefixes()` Return the recognized prefixes for configuration properties.
`static ProductDerivation[]` | `getProductDerivations()` Return all the product derivations registered in the current classloader
`static ConfigurationProvider` | `load(File file, String anchor, ClassLoader loader)` Load given file, or return false if it is not a file this provider understands.
`static ConfigurationProvider` | `load(String resource, String anchor, ClassLoader loader)` Load the given given resource, or return false if it is not a resource this provider understands.
`static ConfigurationProvider` | `loadDefaults(ClassLoader loader)` Return a `ConfigurationProvider` that has parsed system defaults.
`static ConfigurationProvider` | `loadGlobals(ClassLoader loader)` Return a `ConfigurationProvider` that has parsed system globals.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductDerivations

    public ProductDerivations()

Method Detail

### getProductDerivations

    public static ProductDerivation[] getProductDerivations()

  Return all the product derivations registered in the current classloader

### getConfigurationPrefixes

    public static String[] getConfigurationPrefixes()

  Return the recognized prefixes for configuration properties.

### beforeConfigurationConstruct

    public static void beforeConfigurationConstruct(ConfigurationProvider cp)

  Apply `ProductDerivation.beforeConfigurationConstruct(org.apache.openjpa.lib.conf.ConfigurationProvider)` callbacks to the the given instance. Exceptions are swallowed.

### beforeConfigurationLoad

    public static void beforeConfigurationLoad(Configuration conf)

  Apply `ProductDerivation.beforeConfigurationLoad(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance. Exceptions are swallowed.

### afterSpecificationSet

    public static void afterSpecificationSet(Configuration conf)

  Apply `ProductDerivation.afterSpecificationSet(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance. Exceptions are swallowed.

### load

    public static ConfigurationProvider load(String resource,
                                             String anchor,
                                             ClassLoader loader)

  Load the given given resource, or return false if it is not a resource this provider understands. The given class loader may be null.

  Parameters:
    `anchor` - optional named anchor within a multiple-configuration resource

### load

    public static ConfigurationProvider load(File file,
                                             String anchor,
                                             ClassLoader loader)

  Load given file, or return false if it is not a file this provider understands.

  Parameters:
    `anchor` - optional named anchor within a multiple-configuration file

### loadDefaults

    public static ConfigurationProvider loadDefaults(ClassLoader loader)

  Return a `ConfigurationProvider` that has parsed system defaults.

### loadGlobals

    public static ConfigurationProvider loadGlobals(ClassLoader loader)

  Return a `ConfigurationProvider` that has parsed system globals.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.